# Artificial Intelligence for Games and Simulations

In this course we use Python 3.11. Running `pip install aigs`
in a clean Python 3.11 virtual environment should install all dependencies.
We are assuming that you have a basic understanding of Python and programming.


## `/labs` (under active development)

`labs/` contains exercises for the course, which you should do.
Being able to do the contents of `labs/` is a prerequisite
for being able making a successful final project.

I recommend cloning this repository, and making a folder `my/`
where you can put your own code (I will be updating this repository).

1. [Lab 1: Math](labs/lab_1.py)
2. [Lab 2: Neural networks](labs/lab_2.py)
3. [Lab 3: Evolutionary computation](labs/lab_3.py)
4. [Lab 4: Deep learning](labs/lab_4.py)
5. [Lab 5: Reinforcement learning](labs/lab_5.py)
6. [Lab 6: Monte Carlo tree search](labs/lab_6.py)


## `/todo` (under active development)

There are three mandatory projects in this course.
They are all under `/todo` and are not yet completed.
Won't make much sense to look at them until they are completed,
as major parts will be changed and added.

## read

[backprob](https://colah.github.io/posts/2015-08-Backprop/)
